Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.sasl
Class SaslProvider

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  java.security.Provider
                      org.jivesoftware.openfire.sasl.SaslProvider

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class SaslProvider

extends Provider

This is the Provider object providing the SaslServerFactory written by Jive Software.

See Also:
  `SaslServerFactoryImpl`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.security.Provider
`Provider.Service`

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`SaslProvider()` Constructs a the JiveSoftware SASL provider.

Method Summary

Methods inherited from class java.security.Provider
`clear, elements, entrySet, get, getInfo, getName, getProperty, getService, getServices, getVersion, keys, keySet, load, put, putAll, putService, remove, removeService, toString, values`

Methods inherited from class java.util.Properties
`getProperty, list, list, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SaslProvider

    public SaslProvider()

  Constructs a the JiveSoftware SASL provider.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.